[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.Filtered

Is the filter active or not.

## Declaration

Source position: db.pas line 1355

`public property TDataSet.Filtered: Boolean read FFiltered write SetFiltered default false;`

## Description

Filtered determines whether the filter condition in TDataset.Filter is applied or not. The filter is only applied if the Filtered property is set to True. If the Filtered property is False, the Filter property is ignored.

## See also

TDataset.Filter |  | Filter to apply to the data in memory.
TDataset.FilterOptions |  | Options to apply when filtering

The latest version of this document can be found at lazarus-ccr.sourceforge.net .